Subject: Re: bug#4553: 23.1; uniquify gives *vc-dir* buffer the wrong name

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 24 Sep 2009 14:32:58 -0700 (PDT)

forcemerge 3224 4553 
quit

Tom Tromey <[email-masked]> writes:

  > I have a *vc-dir* buffer opened on a directory:
  > 
  >     VC backend : Git
  >     Working dir: ~/gnu/archer/archer/
  >     Branch     : archer-tromey-python
  >     [...]
  > 
  > And, I have:
  > 
  >     uniquify-buffer-name-style is a variable defined in `uniquify.el'.
  >     Its value is 
  >     post-forward-angle-brackets
  > 
  >     uniquify-strip-common-suffix is a variable defined in `uniquify.el'.
  >     Its value is t
  > 
  > However, the aforementioned buffer is named *vc-dir*<testsuite>.
  > This is simply wrong.  I think I would expect *vc-dir*<archer>.
  > 
  > I managed to get one named *vc-dir*</tmp> as well.  I don't know how,
  > but that one was also clearly wrong, as the directory in question was in
  > /home/tromey, not /tmp.

This is the same a Bug#3224.
Please comment on the info there.